package ru.kirillius.pf.sdn.service;

import ru.kirillius.pf.sdn.api.Networking.NetworkScope;
import ru.kirillius.pf.sdn.api.pipeline.PipelineFunction;
import ru.kirillius.pf.sdn.api.properties.PropertyDescriptor;

import java.util.Map;

public class DummyFunction implements PipelineFunction {

    @Override
    public NetworkScope apply(NetworkScope source, Map<String, String> properties) {
        throw new UnsupportedOperationException("Not implemented");
    }

    @Override
    public Map<String, PropertyDescriptor> getProperties() {
        return Map.of();
    }
}
